I've written about this before but thought I'd see if anyone has found a good fix. For years HP has included older versions of MSM.NLM and ETHERTSM.NLM in their ProLiant Support Pack (HP PSP). Version 8.0 is no different, if you install it on a server that is otherwise up to date it will downgrade these two files to 2003 versions (it doesn't always happen but it has happened in every version for years).

I use ZSM to distribute the PSP and install with the command:
cpqdploy -nomods -nui -silent

Has anyone else seen this and figured out a solution other than copying the files again after the PSP finishes?

I have tried to get HP to fix this but obviously haven't succeeded.